<?php

namespace App\Model;

use Symfony\Component\Uid\Uuid;

class File
{
    private Uuid $id;
    private string $name;
    private string $description;
    private int $size;
    private string $type;
    private string $url;

    public function __construct(
        Uuid $id,
        string $name,
        string $description,
        int $size,
        string $type,
        string $url
    ) {
        $this->id = $id;
        $this->name = $name;
        $this->description = $description;
        $this->size = $size;
        $this->type = $type;
        $this->url = $url;
    }

    public function getId(): Uuid
    {
        return $this->id;
    }

    public function getName(): string
    {
        return $this->name;
    }

    public function getDescription(): string
    {
        return $this->description;
    }

    public function getSize(): int
    {
        return $this->size;
    }

    public function getType(): string
    {
        return $this->type;
    }

    public function getUrl(): string
    {
        return $this->url;
    }
}